## org.codehaus.groovy.grails.support
Class ClassEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.codehaus.groovy.grails.support.ClassEditor

All Implemented Interfaces:
  PropertyEditor

    public class ClassEditor

extends PropertyEditorSupport

Since:
  Aug 8, 2005
Author:
  Steven Devijver

Constructor Summary
`ClassEditor()`
`ClassEditor(Object arg0)`

Method Summary
`String` `getAsText()`
`void` `setAsText(String className)`
`void` `setClassLoader(ClassLoader classLoader)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassEditor

    public ClassEditor()

### ClassEditor

    public ClassEditor(Object arg0)

Method Detail

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

### setAsText

    public void setAsText(String className)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

Copyright (c) 2005-2009 The Grails project